Subject: Re: linux-next: manual merge of the xfs tree with Linus' tree

From: Christoph Hellwig <[email-masked]>
Date: Thu, 15 Sep 2011 07:05:27 -0400

On Thu, Sep 15, 2011 at 12:30:31PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the xfs tree got a conflict in
> fs/xfs/xfs_aops.c between commit 2d2422aebc03 ("xfs: fix a use after free
> in xfs_end_io_direct_write") from Linus' tree and commit a826361aa4af
> ("xfs: defer AIO/DIO completions") from the xfs tree.
> 
> The latter moves this code to another function (better solution?), so I
> used the latter version.

Yes, the mainline version is a quick fix for the use after free, the
linux-next version fixes this by changing the broader scope.